View Issue Details

IDProjectCategoryView StatusLast Update
0005852Simple:Presswp compatibilitypublic2017-09-04 18:24
ReporterMr PapaAssigned ToMr Papa 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.7.5.1 
Target Version5.8Fixed in Version5.8 
Summary0005852: WP_User->has_cap() is deprecated
Descriptionthink this has been true for while... we use it quite a bit... not sure exactly how to change (no real help given)... but we should resolve once now...
TagsNo tags attached.
change_log_textchange usage of deprecated WP_User->has_cap() function
typedefect

Activities

svn

svn

2017-09-03 20:30

administrator   ~0019613

Changeset [15535] by steve on 2017-09-03 16:30:51 -0400 (Sun, 03 Sep 2017)

test issue 0005852 change usage of deprecated WP_User->has_cap() function

 Changed Files:

U trunk/admin/panel-admins/forms/spa-admins-manage-admins-form.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15535
svn

svn

2017-09-03 20:32

administrator   ~0019614

Changeset [15536] by steve on 2017-09-03 16:32:48 -0400 (Sun, 03 Sep 2017)

test issue 0005852 change usage of deprecated WP_User->has_cap() function - plugins

 Changed Files:

U plugins/html-email/library/sp-html-email-components.php
U plugins/html-email/sp-html-email-upgrade.php
U plugins/logger/library/sp-logger-components.php
U plugins/logger/sp-logger-upgrade.php
U plugins/polls/library/sp-polls-components.php
U plugins/polls/sp-polls-upgrade.php
U plugins/private-messaging/library/sp-pm-components.php
U plugins/private-messaging/sp-pm-upgrade.php
U plugins/reputation/library/sp-reputation-components.php
U plugins/tags/library/sp-tags-components.php
U plugins/warnings-suspensions/library/sp-warnings-suspensions-components.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15536

Issue History

Date Modified Username Field Change
2017-09-03 20:10 Mr Papa New Issue
2017-09-03 20:23 Mr Papa Assigned To => Mr Papa
2017-09-03 20:23 Mr Papa Status new => assigned
2017-09-03 20:30 svn =>
2017-09-03 20:30 svn Note Added: 0019613
2017-09-03 20:30 svn Status assigned => testing
2017-09-03 20:32 svn =>
2017-09-03 20:32 svn Note Added: 0019614
2017-09-04 18:24 Mr Papa Status testing => closed
2017-09-04 18:24 Mr Papa Resolution open => fixed
2017-09-04 18:24 Mr Papa Fixed in Version => 5.8
2017-09-04 18:24 Mr Papa change_log_text update => change usage of deprecated WP_User->has_cap() function